Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77519 - initscripts packaging problem
Summary: initscripts packaging problem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 13:24 UTC by Tarhon-Onu Victor
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-08 13:24:09 UTC


Attachments (Terms of Use)

Description Tarhon-Onu Victor 2002-11-08 13:24:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
In the initscripts spec the following files are packaged only if arch = s390 or
s390x:
   /etc/sysconfig/init.s390
   /etc/sysconfig/network-scripts/ifdown-aliases
   /etc/sysconfig/network-scripts/ifup-ctc
   /etc/sysconfig/network-scripts/ifup-escon
   /etc/sysconfig/network-scripts/ifup-iucv

But these file already exist, and the s390 does not touch any of it. Maybe the
ideea was that the files to be created when the patch is applied.
I corrected this in initscripts-6.95-1 with vlan support which can be downloaded
from
http://www.ac.tuiasi.ro/mituc/devel/initscripts/initscripts-6.95-1vlan1.{i386,i686,src}.rpm.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild --target _not_s390*_ initscripts-6.95-1.src.rpm
2.wait until it finished,
3.look at the errors.
	

Additional info:

Comment 1 Bill Nottingham 2002-11-12 04:52:15 UTC
Fixed in CVS, will be in 6.96-1 or later.


Note You need to log in before you can comment on or make changes to this bug.